# classes/phing/tasks/ext/simpletest/SimpleTestTask.php

## \SimpleTestTask
jump to top

Runs SimpleTest tests.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.simpletest
since
  2.2.0
version
  $Id: SimpleTestTask.php 1098 2011-05-18 09:26:45Z mrook $

### Properties

`$debug= 'false'`
Default value `false` Details

Type

`$errorproperty= ''`
Details

Type

`$failureproperty= ''`
Details

Type

`$formatters= 'array'`
Default value `array` Details

Type

`$haltonerror= 'false'`
Default value `false` Details

Type

`$haltonfailure= 'false'`
Default value `false` Details

Type

`$printsummary= 'false'`
Default value `false` Details

Type

`$testfailed= 'false'`
Default value `false` Details

Type

### Methods

`addFileSet( \FileSet $fileset ) :`
Add a new fileset containing the XML results to aggregate
Parameters

Name | Type | Description
--- | --- | ---
$fileset | \FileSet | the new fileset containing XML results.

`addFormatter( \SimpleTestFormatterElement $fe ) :`
Add a new formatter to all tests of this task.
Parameters

Name | Type | Description
--- | --- | ---
$fe | \SimpleTestFormatterElement | formatter element

`execute( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

`getDebug( ) :`
`getDefaultOutput( ) :`
`getFilenames( ) : array`
Iterate over all filesets and return the filename of all files that end with .php.
Returns

Type | Description
--- | ---
array |

`init( ) :`
Initialize Task.

This method includes any necessary SimpleTest libraries and triggers appropriate error if they cannot be found. This is not done in header because we may want this class to be loaded w/o triggering an error.

`main( ) :`
The main entry point
Details

throws

`setDebug( $debug ) :`
Parameters

Name | Type | Description
--- | --- | ---
$debug |  |

`setErrorproperty( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setFailureproperty( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setHaltonerror( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setHaltonfailure( $value ) :`
Parameters

Name | Type | Description
--- | --- | ---
$value |  |

`setPrintsummary( $printsummary ) :`
Parameters

Name | Type | Description
--- | --- | ---
$printsummary |  |

Documentation was generated by DocBlox 0.13.1.